@import url('https://fonts.googleapis.com/css2?family=Titillium+Web:ital,wght@0,200;0,300;0,400;0,600;0,700;0,900;1,200;1,300;1,400;1,600;1,700&display=swap');

:root {
    --borderColor: #b4ada6;
}

* {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
    scroll-behavior: smooth;
    user-select: none;
    scrollbar-width: none;
    font-family: "Titillium Web", sans-serif;
}

.mainParent {
    height: 100vh;
    width: 100%;
    /* overflow: hidden; */
}

.iframeBox {
    height: calc(-280px + 100vh);
    width: 100%;
    position: relative;
}

.configBox {
    height: 280px;
    overflow: auto;
}

.configBoxInner {
    /* display: grid;
    grid-gap: 4px;
    grid-template-columns: repeat(auto-fit, minmax(220px, 1fr)); */
    display: flex;
    /* gap: 70px; */
    justify-content: space-around;
    align-items: flex-start;
    padding-top: 20px;
    height: 100%;
    width: 100%;
    overflow-y: hidden;
    overflow-x: scroll;
}

.pe-6 {
    padding-right: 2rem !important;
}

.contentBoxes {
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    gap: 10px;
}

.contentIcon {
    width: 35px;
}

.contentTitle {
    font-size: 16px;
    font-weight: 700;
    text-transform: uppercase;
    color: black;
    white-space: nowrap;
}

.rangeMain {
    display: flex;
    justify-content: space-around;
    align-items: center;
    width: 100px;
}

.sDot {
    position: absolute;
    left: -1px;
    top: 47%;
    transform: translateY(-47%);
    font-size: 40px;
    background-color: var(--borderColor) !important;
    height: 5px;
    width: 5px;
    border-radius: 50%;
    padding: 0;
    display: flex;
    justify-content: center;
    align-items: center;
    color: transparent;
}
.eDot {
    position: absolute;
    right: 6px;
    top: 47%;
    transform: translateY(-47%);
    font-size: 40px;
    background-color: var(--borderColor) !important;
    height: 5px;
    width: 5px;
    border-radius: 50%;
    padding: 0;
    display: flex;
    justify-content: center;
    align-items: center;
    color: transparent;
}

.range {
    position: relative;
    height: 50px;
    display: flex;
    justify-content: center;
    align-items: center;
    padding-right: 10px;
}

.slider {
    position: absolute;
    height: 3px;
    width: 100px;
    -webkit-appearance: none;
    background: var(--borderColor);
    border-radius: 10px;
    outline: none;
    transform: translateY(-50%);
    padding-left: 8px;
}

.slider::-webkit-slider-thumb {
    -webkit-appearance: none;
    width: 15px;
    height: 15px;
    border: 2px solid var(--borderColor);
    background: #f3f2f0;
    border-radius: 50%;
    cursor: pointer;
    margin: -17px 0 0 0;
}

.rangeNumber {
    position: absolute;
    bottom: -4px;
    top: unset;
    left: 40%;
    transform: translateX(-48%);
    padding: 1px;
    height: 25px;
    color: black;
}

/* .rangeNumberFT {
    position: absolute;
    bottom: 0;
    top: unset;
    left: 57%;
    transform: translateX(-57%);
    padding: 4px;
    height: 25px;
    color: black;
} */

/*  */
.toggle-div {
    display: none;
    padding: 10px;
    margin-top: 10px;
    color: black;
    position: absolute;
    bottom: 11%;
    left: 60%;
    transform: translateX(-60%);
    background-color: #e5e4e1;
    border: 2px solid var(--borderColor);
    height: max-content;
    width: 500px;
    padding-bottom: 0;
    text-align: center;
    /* z-index: 4; */
}

#triggerDiv {
    color: black;
    position: relative;
    background-color: #bec7ce;
    height: 40px;
    width: 90px;
    border: 2px solid var(--borderColor);
}

#triggerDiv2 {
    color: black;
    position: relative;
    background-color: #bec7ce;
    height: 40px;
    width: 90px;
    border: 2px solid var(--borderColor);
}

#triggerDiv3 {
    color: black;
    position: relative;
    background-color: #2a4e6f;
    height: 40px;
    width: 90px;
    border: 2px solid var(--borderColor);
}

#triggerDiv4 {
    color: black;
    position: relative;
    background-color: #bec7ce;
    height: 40px;
    width: 90px;
    border: 2px solid var(--borderColor);
}

.roofTxt {
    font-weight: 600;
    text-transform: uppercase;
}

.roofTxt2 {
    font-weight: 600;
    text-transform: uppercase;
}

.roofTxt3 {
    font-weight: 600;
    text-transform: uppercase;
}

.roofTxt4 {
    font-weight: 600;
    text-transform: uppercase;
}

.roofColorsInnerDiv {
    display: flex;
    flex-wrap: wrap;
    justify-content: center;
    align-items: center;
}

.roofColorBoxes {
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    padding-bottom: 10px;
    cursor: pointer;
}

.roofColors {
    height: 45px;
    width: 118px;
    border: 2px solid var(--borderColor);
}

.roofColors2 {
    height: 45px;
    width: 118px;
    border: 2px solid var(--borderColor);
}

.roofColors3 {
    height: 45px;
    width: 118px;
    border: 2px solid var(--borderColor);
}

.roofColors4 {
    height: 45px;
    width: 118px;
    border: 2px solid var(--borderColor);
}

.roofColorTitle {
    text-transform: uppercase;
    font-size: 14px;
    font-weight: 500;
}

#galvalume {
    background-color: #bec7ce;
    border-color: black;
}

#burnishedSlate {
    background-color: #5a5444;
    border-color: black;
}

#cocoaBrown {
    background-color: #614b3a;
}

#saddleTan {
    background-color: #c1a286;
}

#copperPenny {
    background-color: #af783e;
}

#rusticRed {
    background-color: #944a3e;
    border-color: black;
}

#crimson {
    background-color: #b72536;
}

#berry {
    background-color: #5c373a;
}

#polarWhite {
    background-color: #e2e1d5;
    border-color: black;
}

#ivory {
    background-color: #f8e7c8;
}

#lightStone {
    background-color: #d6cdaf;
}

#desertSand {
    background-color: #a59882;
}

#ashGray {
    background-color: #b4afa7;
}

#oldTownGray {
    background-color: #a1a2a4;
}

#charcoalGray {
    background-color: #666666;
    border-color: black;
}

#black {
    background-color: #150d00;
}

#galleryBlue {
    background-color: #5a768d;
}

#hawaiinBlue {
    background-color: #2a4e6f;
}

#everGreen {
    background-color: #405c42;
    border-color: black;
}

#ivyGreen {
    background-color: #0c4434;
}

#galvalumeTrim {
    background-color: #bec7ce;
    border-color: black;
}

#burnishedSlateTrim {
    background-color: #5a5444;
    border-color: black;
}

#cocoaBrownTrim {
    background-color: #614b3a;
}

#saddleTanTrim {
    background-color: #c1a286;
}

#copperPennyTrim {
    background-color: #af783e;
}

#rusticRedTrim {
    background-color: #944a3e;
    border-color: black;
}

#crimsonTrim {
    background-color: #b72536;
}

#berryTrim {
    background-color: #5c373a;
}

#polarWhiteTrim {
    background-color: #e2e1d5;
    border-color: black;
}

#ivoryTrim {
    background-color: #f8e7c8;
}

#lightStoneTrim {
    background-color: #d6cdaf;
}

#desertSandTrim {
    background-color: #a59882;
}

#ashGrayTrim {
    background-color: #b4afa7;
}

#oldTownGrayTrim {
    background-color: #a1a2a4;
}

#charcoalGrayTrim {
    background-color: #666666;
    border-color: black;
}

#blackTrim {
    background-color: #150d00;
}

#galleryBlueTrim {
    background-color: #5a768d;
}

#hawaiinBlueTrim {
    background-color: #2a4e6f;
}

#everGreenTrim {
    background-color: #405c42;
    border-color: black;
}

#ivyGreenTrim {
    background-color: #0c4434;
}

#galvalumeGableOpen {
    background-color: #bec7ce;
    border-color: black;
}

#burnishedSlateGableOpen {
    background-color: #5a5444;
    border-color: black;
}

#cocoaBrownGableOpen {
    background-color: #614b3a;
}

#saddleTanGableOpen {
    background-color: #c1a286;
}

#copperPennyGableOpen {
    background-color: #af783e;
}

#rusticRedGableOpen {
    background-color: #944a3e;
    border-color: black;
}

#crimsonGableOpen {
    background-color: #b72536;
}

#berryGableOpen {
    background-color: #5c373a;
}

#polarWhiteGableOpen {
    background-color: #e2e1d5;
    border-color: black;
}

#ivoryGableOpen {
    background-color: #f8e7c8;
}

#lightStoneGableOpen {
    background-color: #d6cdaf;
}

#desertSandGableOpen {
    background-color: #a59882;
}

#ashGrayGableOpen {
    background-color: #b4afa7;
}

#oldTownGrayGableOpen {
    background-color: #a1a2a4;
}

#charcoalGrayGableOpen {
    background-color: #666666;
    border-color: black;
}

#blackGableOpen {
    background-color: #150d00;
}

#galleryBlueGableOpen {
    background-color: #5a768d;
}

#hawaiinBlueGableOpen {
    background-color: #2a4e6f;
}

#everGreenGableOpen {
    background-color: #405c42;
    border-color: black;
}

#ivyGreenGableOpen {
    background-color: #0c4434;
}

#galvalumeGable {
    background-color: #bec7ce;
    border-color: black;
}

#burnishedSlateGable {
    background-color: #5a5444;
    border-color: black;
}

#cocoaBrownGable {
    background-color: #614b3a;
}

#saddleTanGable {
    background-color: #c1a286;
}

#copperPennyGable {
    background-color: #af783e;
}

#rusticRedGable {
    background-color: #944a3e;
    border-color: black;
}

#crimsonGable {
    background-color: #b72536;
}

#berryGable {
    background-color: #5c373a;
}

#polarWhiteGable {
    background-color: #e2e1d5;
    border-color: black;
}

#ivoryGable {
    background-color: #f8e7c8;
}

#lightStoneGable {
    background-color: #d6cdaf;
}

#desertSandGable {
    background-color: #a59882;
}

#ashGrayGable {
    background-color: #b4afa7;
}

#oldTownGrayGable {
    background-color: #a1a2a4;
}

#charcoalGrayGable {
    background-color: #666666;
    border-color: black;
}

#blackGable {
    background-color: #150d00;
}

#galleryBlueGable {
    background-color: #5a768d;
}

#hawaiinBlueGable {
    background-color: #2a4e6f;
}

#everGreenGable {
    background-color: #405c42;
    border-color: black;
}

#ivyGreenGable {
    background-color: #0c4434;
}

.roodColorInfo {
    font-weight: 500;
}

.modal-backdrop {
    background-color: transparent;
}

.modal-body {
    background-color: #e5e4e1;
    border: 2px solid var(--borderColor);
    padding: 0;
    padding-top: 20px;
}

.modal-header {
    border-bottom: 0;
}


.gableContent {
    display: none;
}

.leanHidden {
    display: none;
}

/* .leanContent {
    display: none;
} */
.leanLeftSumary {
    display: none;
}

.leanRightSumary {
    display: none;
}

.tabcontent {
    display: none;
    padding: 6px;
}

.tabBtunsDiv {
    display: flex;
    gap: 5px;
}

.gableLinks {
    text-transform: uppercase;
    font-weight: 500;
    background-color: #e5e4e1;
    border: 2px solid var(--borderColor);
    width: 90px;
    color: black;
}

.gableLinks.active {
    background-color: #9b9188;
}

.gableLinks.inActive {
    background-color: #e5e4e1;
}


.tabBtunsDiv {
    display: flex;
    gap: 5px;
}

.leanLinks {
    text-transform: uppercase;
    font-weight: 500;
    background-color: #e5e4e1;
    border: 2px solid var(--borderColor);
    width: 90px;
    color: black;
}

.leanLinks.active {
    background-color: #9b9188;
}

.leanLinks.inActive {
    background-color: #e5e4e1;
}

.leanInnerContent {
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    gap: 20px;
}




.showSumBtn {
    display: none;
    position: absolute;
    right: 4px;
    bottom: 4px;
}

.closeBtn {
    display: none;
}

.modalDiv {
    position: absolute;
    right: 40px;
    bottom: 40px;
    background-color: #e5e4e1;
    border: 2px solid var(--borderColor);
    padding: 25px 20px 10px 20px;
    text-align: center;
}

.detailHdng {
    text-transform: uppercase;
    font-weight: 700;
}

.detailsBox {
    display: flex;
    justify-content: center;
    align-items: center;
    gap: 20px;
}

.detailNameBox {
    text-align: right;
}

.detailValueBox {
    text-align: left;
}

.detailName {
    font-weight: 700;
    font-size: 18px;
}

.detailValue {
    font-size: 18px;
}

.detailBtnBox {
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    gap: 10px;
    width: 100%;
    padding: 20px 0 0 0;
}

.detailBtn {
    background-color: #ea2627;
    color: white;
    border: 1px solid #ea2627;
    width: 100%;
    border-radius: 0;
    text-transform: uppercase;
    font-size: 19px;
    font-weight: 600;
}

.detailBtn:hover {
    background-color: #ea2627;
    border: 1px solid #ea2627;
    color: white;
}

.detailBtn:active {
    background-color: #ea2627;
    border: 1px solid #ea2627;
    color: white;
}

.detailBtn:focus-visible {
    background-color: #ea2627;
    border: 1px solid #ea2627;
    color: white;
}

.formHdng {
    font-weight: 600;
}

.form-label {
    color: black;
    font-weight: 600;
}

.form-control {
    border: 2px solid var(--borderColor);
    background-color: #f3f2f0;
    border-radius: 0;
    font-weight: 600;
}

.form-control:focus {
    box-shadow: none;
    background-color: #f3f2f0;
    border: 2px solid var(--borderColor);
}

.form-check-input:focus {
    box-shadow: none;
    border-color: transparent;
}

.form-check-input:checked {
    background-color: #b4ada6;
    border-color: #b4ada6;
}

.detailBtnModal {
    width: max-content;
    padding: 20px;
}

.formModalBtnBox {
    display: none;
}


.removeLeft {
    background-color: #ed625c;
    color: white;
    padding: 5px 14px;
    border: 0;
    outline: none;
    border-radius: 4px;
}

.slider::-webkit-slider-runnable-track {
        height: -3px;
    }

    .slider::-webkit-slider-thumb {
        -webkit-appearance: none;
        width: 15px;
        height: 15px;
        position: relative;
        top: 50%;
        transform: translateY(-50%);
    }



@media screen and (max-width: 768px) {
    .configBoxInner {
        gap: 20px !important;
    }
    .contentTitle {
        font-size: 12px;
    }
    .contentIcon {
        width: 30px;
    }
    .rangeNumber {
        bottom: -20px;
    }
    .slider::-webkit-slider-thumb {
        -webkit-appearance: none;
        width: 20px;
        height: 20px;
        border: 2px solid var(--borderColor);
        background: #f3f2f0;
        border-radius: 50%;
        cursor: pointer;
        margin: -17px 0 0 0 !important;
    }
}

@media screen and (max-width: 1300px) {

    /* .modalDiv {
        display: none;
    }
    .formModalBtnBox {
        display: block;
        position: absolute;
        right: 8px;
        bottom: 8px;
    } */
    .modal-content {
        max-height: 450px !important;
        overflow-y: scroll;
        overflow-x: hidden;
    }

    .slider::-webkit-slider-thumb {
        margin: 0;
    }

    .configBoxInner {
        gap: 40px;
        justify-content: start;
        padding-left: 20px;
    }

    .contentTitle {
        text-align: center;
    }

    .modalDiv {
        right: 4px;
        bottom: 4px;
        padding: 4px;
    }

    .detailsBox {
        gap: 6px;
    }

    .detailName {
        font-size: 15px;
    }

    .detailValue {
        font-size: 15px;
    }

    .detailBtnBox {
        gap: 4px;
        padding: 10px 0 0 0;
    }

    .detailBtn {
        font-size: 11px;
    }

    .modalDiv {
        display: none;
    }

    .showSumBtn {
        display: block;
    }

    .closeBtn {
        display: block;
        position: absolute;
        right: 4px;
    }
}


/* success modal css */


css .successCloseBtn {
    position: absolute;
    right: 10px;
    top: 10px;
}

.successModalContent {
    border: 0;
    position: relative;
}

.successModalBody {
    background-color: white;
    border: 0;
}

.successbtn {
    background-color: #EA2627;
    color: white;
    width: 100%;
    text-align: center;
    font-weight: 600;
}

.successbtn:hover {
    background-color: #f31818;
    color: white;
}

.successbtn:active {
    background-color: #f31818;
    border-color: #f31818;
    color: white;
}

.successbtn:focus-visible {
    background-color: #f31818;
    border-color: #f31818;
    color: white;
}

@media (max-width: 1024px) {
  .configBoxInner {
        gap: 20px;
    }
    
    .contentIcon {
        width: 30px;
    }
    
    .contentTitle {
        font-size: 16px;
    }
    
    .rangeMain {
        width: 100px;
    }
    
    .slider {
        width: 100px;
    }
    
    .slider::-webkit-slider-runnable-track {
        height: -4px;
    }

    .slider::-webkit-slider-thumb {
        -webkit-appearance: none;
        width: 15px;
        height: 15px;
        position: relative;
        top: 50%;
        transform: translateY(-50%);
    }
    
    .rangeNumber {
        bottom: 0px;
        left: 40%;
    }
    
}